# List endpoints

Endpoint: GET /v1/domains/{domainId}/endpoints
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    Entity id used to the determine beginning of query results.

  - `sortBy` (string)
    Property name used to sort the query results.
    Enum: "id", "alias", "address", "ledgerId", "trustScore", "lock", "metadata.createdAt", "metadata.lastModifiedAt"

  - `sortOrder` (string)
    Sort order applied to the query results.
    Enum: "ASC", "DESC"

  - `ledgerId` (array)
    Return entities matching given ledger id.
    Example: ["45671234"]

  - `alias` (string)
    Return entities with aliases that contains or equals to provided alias.
    Example: "alias1"

  - `address` (array)
    Return entities matching given alias.
    Example: ["someLedgerAddress"]

  - `metadata.createdBy` (string)
    Return entities that were created by matching user.
    Example: "fdeeeb4b-f987-4ec4-9880-1eb280581d49"

  - `metadata.lastModifiedBy` (string)
    Return entities that were last modified by matching user.
    Example: "90c4cf2f-ebe0-4bf7-91cd-4c45cd02277b"

  - `metadata.description` (string)
    Return entities with descriptions that contains or equals to provided description.
    Example: "description1"

  - `metadata.customProperties` (array)
    Return entities that contains provided custom properties.
    Example: ["key1:value1","key2:value2"]

  - `lock` (array)
    Return entities matching given lock status.
    Enum: "Unlocked", "Locked", "Archived"

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.data` (object, required)

  - `items.data.id` (string, required)

  - `items.data.domainId` (string, required)

  - `items.data.address` (string, required)

  - `items.data.ledgerId` (string, required)

  - `items.data.parameters` (any)
    - `ABI` (string)
      This field can be used to provide an Application Binary Interface (ABI) for EVM-based smart contracts, Ripple Custody's front-end uses the field to provide an extended support when interacting with smart contracts, therefore it is not recommended to submit invalid ABIs in this field but Ripple Custody will not prevent the submission of invalid ABIs to tolerate use cases outside of Ripple Custody's front-end.
    - `type` (string, required)
      Enum: "Ethereum"

  - `items.data.alias` (string, required)

  - `items.data.lock` (string, required)
    Enum: same as `lock` (3 values)

  - `items.data.metadata` (object, required)

  - `items.data.metadata.description` (string)

  - `items.data.metadata.revision` (integer, required)

  - `items.data.metadata.createdAt` (string, required)

  - `items.data.metadata.createdBy` (object)

  - `items.data.metadata.createdBy.id` (string, required)

  - `items.data.metadata.createdBy.domainId` (string, required)

  - `items.data.metadata.lastModifiedAt` (string, required)

  - `items.data.metadata.lastModifiedBy` (object)

  - `items.data.metadata.customProperties` (object, required)

  - `items.data.trustScore` (integer, required)

  - `items.signature` (string, required)

  - `items.signingKey` (string, required)

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


